Name:           perl-GStreamer-Interfaces
Version:        0.06
Release:        3%{?dist}
Summary:        Perl interface to the GStreamer Interfaces library
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/GStreamer-Interfaces/
Source0:        http://www.cpan.org/authors/id/T/TS/TSCH/GStreamer-Interfaces-%{version}.tar.gz
BuildRequires:  perl(ExtUtils::Depends) >= 0.205
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1.07
BuildRequires:  perl(Glib) >= 1.180
BuildRequires:  perl(GStreamer) >= 0.06
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  perl-Glib-devel
BuildRequires:  perl(Test::More)
Requires:       perl(ExtUtils::Depends) >= 0.205
Requires:       perl(ExtUtils::PkgConfig) >= 1.07
Requires:       perl(Glib) >= 1.180
Requires:       perl(GStreamer) >= 0.06
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
GStreamer::Interfaces provides access to some of the interfaces in the
GStreamer Interfaces library.  Currently, that's GStreamer::PropertyProbe
and GStreamer::XOverlay.

%prep
%setup -q -n GStreamer-Interfaces-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog.pre-git LICENSE NEWS README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/GStreamer*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild


* Fri Jul 13 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.06-2
- Removed BuildRoot line
- Changed license to LGPLv2+
- Enabled checks by adding Test::More to BR
- Changed summary
- Removed defattr line from files

* Fri Jun 15 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.06-1
- Specfile autogenerated by cpanspec 1.78.
- Added extra BuildRequires
